
QGIS Application - Bug report #1076

Quantiles classification causes segfault

2008-05-08 11:50 AM - Steven Bell -

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11136

Description

Attempting to classify a set of points for a Graduated Symbol using "Quantiles" with 0 classes causes a segfault.  This occurred using

several point sets.

The backtrace gives:

#0  0x08153e11 in [[QgsGraduatedSymbolDialog]]::adjustClassification ()

#3905  0x0828b70f in [[QgsGraduatedSymbolDialog]]::qt_metacall ()

...

Associated revisions

Revision a434ac6e - 2008-08-27 12:10 PM - Jürgen Fischer

fix #1076

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9187 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 19302834 - 2008-08-27 12:10 PM - Jürgen Fischer

fix #1076

git-svn-id: http://svn.osgeo.org/qgis/trunk@9187 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-08-27 03:11 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:19302834 (SVN r9188)

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
